<!DOCTYPE html>
<html lang="en" xmlns:th="https://www.thymeleaf.org"
                xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
                layout:decorator="layouts/default_layout">
<head >
    <title>Article Management System</title>
    <style>
        img{
           width:150px;
           height: 90px;
        }
        .lang-flag{
            width: 20px;
            height: 20px;
        }
        .created-date{
            width: 180px;
        }
        .ui.container {
            width: 1367px
        }
        .th_id{
            width: 100px;
        }
        .th_title{
            width: 200px;
        }
        .th_description{
            width: 170px;
        }
        .th_created_date{
            width: 150px;
        }
        .th_author{
            width: 150px;
        }
        .th_category{
            width: 100px;
        }
        .th_thumbnail{
            width: 150px;
        }
        .th_action{
            text-align: center;
        }
        .ui.pagination.menu{
            margin-left: 500px;
            margin-bottom:40px;
            margin-top:40px;
        }


    </style>
</head>
<body>

<div class="ui container" layout:fragment="content">


    <h1 align="center" th:text="#{home.page.header.title}" style="margin: 70px 0px 80px 0px; color:blue; font-size:50px;"></h1>

    <form action="/article" method="GET">
        <div class="ui fluid category search">
            <div class="ui icon input">
                <input class="prompt" placeholder="Search article..." th:field="${search.title}">
                <i class="search icon"></i>

            </div>
            <div class="results"></div>
        </div>
    </form>
    <a th:href="@{/add}"><button class="positive ui button" th:text="#{button.add_aticle}"></button></a>


    <table class="ui inverted blue table">
        <thead>
            <tr>
                <th th:text="#{table.header.id}" class="th_id">ID</th>
                <th th:text="#{table.header.title}" class="th_title">Title</th>
                <th th:text="#{table.header.description}" class="th_description">Description</th>
                <th th:text="#{table.header.created_date}" class="th_created_date">Created Date</th>
                <th th:text="#{table.header.author}" class="th_author">Author</th>
                <th th:text="#{table.header.category}" class="th_category">Category</th>
                <th th:text="#{table.header.thumbnail}" class="th_thumbnail">Thumbnail</th>
                <th th:text="#{table.header.action}" class="th_action">Action</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="article: ${articles}" th:object="${article}">
                <td th:text="*{id}"></td>
                <td th:text="*{title}"></td>
                <td th:text="*{description}"></td>
                <td th:text="*{createdDate}" class="created-date"></td>
                <td th:text="*{author}"></td>
                <td th:text="*{category.categoryName}"></td>
                <td><img th:src="*{thumbnail}"></td>
                <td>
                    <a th:href="@{article/detail/{id}(id=${article.id})}"><button class="ui small green button" th:text="#{button.view}">View</button></a>
                    <a th:href="@{article/update/{id}(id=*{id})}"><button class="ui small teal button" th:text="#{button.update}">Update</button></a>
                    <a th:href="@{article/delete/{id}(id=*{id})}"><button class="ui small red button" th:text="#{button.delete}">Delete</button></a>
                </td>
            </tr>
        </tbody>
    </table>


    <div class="ui pagination menu">

        <a class="item" th:href="@{/article (page=1, title=${search.title})}"><span>First</span></a>
        <a class="item" th:href="@{/article (page=${paging.previousPage}, title=${search.title})}"><span>Previous</span></a>

        <a class="item" th:each="i: ${#numbers.sequence(paging.startPage, paging.endPage)}"  th:href="@{/article (page=${i}, title=${search.title})}"> <span th:text="${i}">Previous</span></a>

        <a class="item" th:href="@{/article (page=${paging.nextPage}, title=${search.title})}"><span>Next</span></a>
        <a class="item" th:href="@{/article (page=${paging.totalPages}, title=${search.title})}"><span>Last</span></a>
    </div>



</div>
<script>
    $('.ui.dropdown.item')
        .dropdown({
            on: 'hover'
        })
    ;
</script>
</body>
</html>